<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): IntegerValue Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_integer_value.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_integer_value-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">IntegerValue Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>32-bit unsigned integer value.  
 <a href="class_integer_value.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_value_8h_source.html">Value.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for IntegerValue:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_integer_value.png" usemap="#IntegerValue_map" alt=""/>
  <map id="IntegerValue_map" name="IntegerValue_map">
<area href="class_value.html" title="Abstract base class for values of arbitrary types. " alt="Value" shape="rect" coords="0,0,115,24"/>
<area href="class_sized_integer_value.html" title="Adds a word size attribute to IntegerValue. " alt="SizedIntegerValue" shape="rect" coords="0,112,115,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0fec8724d1cb39db2b0fe9a44ce7d52d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fec8724d1cb39db2b0fe9a44ce7d52d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IntegerValue</b> (int32_t value)</td></tr>
<tr class="separator:a0fec8724d1cb39db2b0fe9a44ce7d52d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2904e4789a2fc1f0cb506020befa6092"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2904e4789a2fc1f0cb506020befa6092"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IntegerValue</b> (const <a class="el" href="class_integer_value.html">IntegerValue</a> &amp;other)</td></tr>
<tr class="separator:a2904e4789a2fc1f0cb506020befa6092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9a314b752afcf81f61aa4f2f891113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb9a314b752afcf81f61aa4f2f891113"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getTypeName</b> () const </td></tr>
<tr class="separator:adb9a314b752afcf81f61aa4f2f891113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795a4b606a977b42644565ffa7916e22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a795a4b606a977b42644565ffa7916e22"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>getSize</b> () const </td></tr>
<tr class="separator:a795a4b606a977b42644565ffa7916e22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d7658a470bd8a047fb1baea6570243"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94d7658a470bd8a047fb1baea6570243"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>getValue</b> () const </td></tr>
<tr class="separator:a94d7658a470bd8a047fb1baea6570243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca77eaf72d9ac21a294e28d275268980"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca77eaf72d9ac21a294e28d275268980"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator int32_t</b> () const </td></tr>
<tr class="separator:aca77eaf72d9ac21a294e28d275268980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e38ccefedd1ebf7eae16be305988fde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e38ccefedd1ebf7eae16be305988fde"></a>
<a class="el" href="class_integer_value.html">IntegerValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (int32_t value)</td></tr>
<tr class="separator:a8e38ccefedd1ebf7eae16be305988fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f9e9b14957e0e09c2c60822ae7386f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4f9e9b14957e0e09c2c60822ae7386f"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const </td></tr>
<tr class="separator:ae4f9e9b14957e0e09c2c60822ae7386f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b76d7076a97491aaa9c4d03eeafc862"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b76d7076a97491aaa9c4d03eeafc862"></a>
virtual <a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>clone</b> () const </td></tr>
<tr class="separator:a4b76d7076a97491aaa9c4d03eeafc862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_value"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_value')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_value.html">Value</a></td></tr>
<tr class="memitem:aeae5b32fd20812506e28077c55435015 inherit pub_methods_class_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeae5b32fd20812506e28077c55435015"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Value</b> (value_type_t theType)</td></tr>
<tr class="separator:aeae5b32fd20812506e28077c55435015 inherit pub_methods_class_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa67d20e19fb0a4d81b4caddb1d4ac11 inherit pub_methods_class_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa67d20e19fb0a4d81b4caddb1d4ac11"></a>
virtual value_type_t&#160;</td><td class="memItemRight" valign="bottom"><b>getType</b> () const </td></tr>
<tr class="separator:afa67d20e19fb0a4d81b4caddb1d4ac11 inherit pub_methods_class_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a36d60974cb01dd6ed56fdebcd8c09503"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36d60974cb01dd6ed56fdebcd8c09503"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_integer_value.html#a36d60974cb01dd6ed56fdebcd8c09503">m_value</a></td></tr>
<tr class="memdesc:a36d60974cb01dd6ed56fdebcd8c09503"><td class="mdescLeft">&#160;</td><td class="mdescRight">The integer value. <br /></td></tr>
<tr class="separator:a36d60974cb01dd6ed56fdebcd8c09503"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>32-bit unsigned integer value. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_value_8h_source.html">Value.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
